# Uses of Class
org.apache.maven.shared.incremental.IncrementalBuildHelperRequest

## Uses of IncrementalBuildHelperRequest in org.apache.maven.shared.incremental

Methods in org.apache.maven.shared.incremental that return IncrementalBuildHelperRequest
Modifier and Type
Method
Description
`IncrementalBuildHelperRequest`
IncrementalBuildHelperRequest.`inputFiles(Set<File> inputFiles)`
`IncrementalBuildHelperRequest`
IncrementalBuildHelperRequest.`outputDirectory(File outputDirectory)`
Methods in org.apache.maven.shared.incremental with parameters of type IncrementalBuildHelperRequest
Modifier and Type
Method
Description
`void`
IncrementalBuildHelper.`afterRebuildExecution(IncrementalBuildHelperRequest incrementalBuildHelperRequest)`
This method collects and stores all information about files changed since the call to `IncrementalBuildHelper.beforeRebuildExecution(org.apache.maven.shared.incremental.IncrementalBuildHelperRequest)`.
`String[]`
IncrementalBuildHelper.`beforeRebuildExecution(IncrementalBuildHelperRequest incrementalBuildHelperRequest)`
This method shall get invoked before the actual Mojo task gets triggered, e.g.
`boolean`
IncrementalBuildHelper.`inputFileTreeChanged(IncrementalBuildHelperRequest incrementalBuildHelperRequest)`
Detect whether the list of detected files has changed since the last build.